commit: c316770aa70a75b2f5cec558bc2491571713d509
Author: Oz N Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Thu Feb 17 11:56:07 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 21 23:45:15 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c316770a
mate-base/mate-common: add 1.26.0
Signed-off-by: Oz N Tiram <oz.tiram <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
mate-base/mate-common/Manifest | 1 +
mate-base/mate-common/mate-common-1.26.0.ebuild | 32 +++++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/mate-base/mate-common/Manifest b/mate-base/mate-common/Manifest
index f89c5afd5c38..39fc82430e61 100644
--- a/mate-base/mate-common/Manifest
+++ b/mate-base/mate-common/Manifest
@@ -1 +1,2 @@
DIST mate-common-1.24.2.tar.xz 69612 BLAKE2B
31010b5417824153046e07c4724c70e5ce9f69c0ad6945ccf276026c7f1d0238b6313cbe13a64a329a889f97a994fa749de152a0e6f02e8bc88e5f7ecf73febf
SHA512
aae7cf6f4537b125d363e7be1f349cb4ba9515405d1e48704f87c647b2489647cfa14399f41b65a8c1b2a8851dfe8077ce47a3b618355767cc61a6e0037ba3d0
+DIST mate-common-1.26.0.tar.xz 69604 BLAKE2B
73c4b065eba0287d3f16ec3fdff8145dd97b765283f4017b31a7b86cb45949a4f7dde0207c244dc5c8047570830b85714955c23165889ae994a566f2f00a752c
SHA512
9bfde79c9243d394f9ebc743f6a3c27199ec1e857f80020be0ff8b64a48cf1183fffd88783c1d375f2983a32c7437ca49b2f03b3e844e147c5750f71dbfb93bd
diff --git a/mate-base/mate-common/mate-common-1.26.0.ebuild
b/mate-base/mate-common/mate-common-1.26.0.ebuild
new file mode 100644
index 000000000000..2032d986c8a6
--- /dev/null
+++ b/mate-base/mate-common/mate-common-1.26.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit mate-desktop.org
+
+if [[ ${PV} == 9999 ]]; then
+ inherit autotools
+else
+ KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Common files for development of MATE packages"
+LICENSE="GPL-3+"
+SLOT="0"
+
+src_prepare() {
+ default
+ if [[ ${PV} == 9999 ]]; then
+ eautoreconf
+ fi
+}
+
+src_install() {
+ mv doc-build/README README.doc-build \
+ || die "Failed to rename doc-build/README."
+
+ default
+
+ dodoc doc/usage.txt
+}